 /*-----------------------------------------------------------------*
  |     Name: icu1.sas                                              |
  |    Title: INFLOGIS macro: Survival in the ICU                   |
  | ----------------------------------------------------------------|
  |    Procs: logistic                                              |
  |   Macros: inflogis                                              |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly <friendly@yorku.ca>                  |
  |  Created: 26 Apr 2000 16:59:31                                  |
  *-----------------------------------------------------------------*/
title 'INFLOGIS macro: Survival in the ICU';
%include goptions;
goptions vsize=6.5in htext=1.7;

%include catdata(icu);
%include macros(inflogis);

proc logistic data=icu nosimple order=data;
        model died = age  cancer  uncons admit /
                     /*   scale=none aggregate lackfit */;
        output out=results p=predict l=lower u=upper / alpha=.33;

%inflogis(data=icu, y=died, x=age  cancer  uncons admit, id=id,
	gx=hat);
